#!/bin/sh

MEDIUM=3
HIGH=5
MESSAGE=/tmp/p4count$$

CNT=`ps ax | grep p4d | grep -v grep | awk '{print $1}' | wc -l`

if [ $CNT -gt $MEDIUM ]
then
       echo "ps reports $CNT p4d's at <"`date`">"  > $MESSAGE
       echo "p4 monitor show -al:" >> $MESSAGE

       p4 monitor show -al >> $MESSAGE

       if [ $CNT -gt $HIGH ]
       then
          mail -s "p4d count warning" smoon@smtp.perforce.com < $MESSAGE
       else
          mail -s "p4d count alert" smoon@smtp.perforce.com < $MESSAGE
       fi
       /bin/rm -f $MESSAGE
fi


